commit:     c066fab9af41c1e8db7b55ce960a1f360d440a4c
Author:     NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  9 01:45:49 2016 +0000
Commit:     NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Tue Feb  9 02:46:59 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c066fab9

x11-misc/mozo: Import 1.10.x from Project:MATE repo

Package-Manager: portage-2.2.26

 x11-misc/mozo/Manifest           |  1 +
 x11-misc/mozo/mozo-1.10.1.ebuild | 72 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/x11-misc/mozo/Manifest b/x11-misc/mozo/Manifest
index 808ad67..32fa071 100644
--- a/x11-misc/mozo/Manifest
+++ b/x11-misc/mozo/Manifest
@@ -1 +1,2 @@
+DIST mozo-1.10.1.tar.xz 163456 SHA256 
91e97700d67cddaf39ec5f06d1bddaf585458d7677d76d72a4a527cfd030ecd8 SHA512 
767f81c84642f83ba7579fde5eceedb588d934e52f0dd8f8a405e596e445aa68d0e3828db909130d121298e4fc7822736b45af7eda8f2c01f809b9df294a4aea
 WHIRLPOOL 
6542017d320840a8a1f53e8e44c4a38a81efa62352ebe46c7f5b50bca9cde19401ff3cf07b08f4f85f15c555964af26dc539c95ec8062fd31bed8e25dafaa299
 DIST mozo-1.8.0.tar.xz 162484 SHA256 
326f0a6c30c07381b113b243ccdcc46269b2cab1e998ea6e1f9e79f520f015cb SHA512 
4d5a0f8881b65c7ebf82686735f42183853c0c3687b5e15e594a0d9c88b6eb0d19201105773c3f3a539e93f045732a2c4e6d4718073283c4d518e505fed7e4ab
 WHIRLPOOL 
f47637cf8a6cb0ea2f805a3acf72df391e4c3dfb0f65af433be591a30e24f64ee3cf233b821dd4b790efecad468e66d23ca175b83ea309a3ac436b5d6d13cc00

diff --git a/x11-misc/mozo/mozo-1.10.1.ebuild b/x11-misc/mozo/mozo-1.10.1.ebuild
new file mode 100644
index 0000000..d876394
--- /dev/null
+++ b/x11-misc/mozo/mozo-1.10.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+GCONF_DEBUG="no"
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+
+inherit gnome2 python-r1 versionator
+
+MATE_BRANCH="$(get_version_component_range 1-2)"
+
+SRC_URI="http://pub.mate-desktop.org/releases/${MATE_BRANCH}/${P}.tar.xz";
+DESCRIPTION="Mozo menu editor for MATE"
+HOMEPAGE="http://mate-desktop.org";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+COMMON_DEPEND=">=dev-python/pygobject-2.15.1:2[${PYTHON_USEDEP}]
+       >=dev-python/pygtk-2.13:2[${PYTHON_USEDEP}]
+       >=mate-base/mate-menus-1.10:0[introspection,python]"
+
+RDEPEND="${COMMON_DEPEND}
+       ${PYTHON_DEPS}
+       >=mate-base/mate-panel-1.10:0
+       x11-libs/gdk-pixbuf:2[introspection]
+       x11-libs/gtk+:2[introspection]
+       virtual/libintl:0
+       !!x11-misc/mate-menu-editor"
+
+DEPEND="${COMMON_DEPEND}
+       >=dev-util/intltool-0.40:*
+       sys-devel/gettext:*
+       virtual/pkgconfig:*"
+
+src_prepare() {
+       gnome2_src_prepare
+       python_copy_sources
+}
+
+src_configure() {
+       python_foreach_impl run_in_build_dir gnome2_src_configure \
+               --disable-icon-update
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir gnome2_src_compile
+}
+
+src_test() {
+       python_foreach_impl run_in_build_dir emake check
+}
+
+DOCS="AUTHORS NEWS README"
+
+src_install() {
+       installing() {
+               gnome2_src_install
+
+               # Massage shebang to make python_doscript happy
+               sed -e 's:#! '"${PYTHON}:#!/usr/bin/python:" \
+                       -i mozo || die
+
+               python_doscript mozo
+       }
+
+       python_foreach_impl run_in_build_dir installing
+}

Reply via email to